:root {
    --blue-500: #0b5a9c;
    --blue-700: #084271;
    --blue-900: #062e4f;
    --orange-500: #f79a09;
    --white: #fff;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: var(--blue-900);
}

* {
    margin: 0px;
    padding: 0px;
    font-family: 'Open Sans';
}


#menu a {
    color: var(--blue-700);
    text-decoration: none;
}

#logo img {
    width: 100px;
}

#header {
    color: var(--blue-900);
    box-sizing: border-box;
    font-size: 20px;
    height: 100px;
    padding: 0 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* border-bottom: 1px solid black; */
    z-index: 1000;
}

#menu {
    display: flex;
    list-style: none;
    gap: 5rem;
    margin-bottom: 0px;
    font-weight: 500;
    align-items: center;
}

#menu a {
    display: block;
}

#contactButton {
    color: white;
    background-color: #084271;
    padding: 10px 30px;
    border-radius: 10px;
}

#btn-mobile {
    display: none;
}

#carouselMobile {
    display: none;
}

.s2,
.s3,
.s4 {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--blue-700);
    font-weight: 300;
    overflow: hidden;
}

.s2Container,
.s3Container,
.s4Container {
    text-align: center;
    padding: 0 200px;
    color: var(--white);
    /* background-color: #fff; */
    font-size: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
}

.s3 {
    background-color: var(--orange-500);
}

.s3Container {
    color: #fff;
}

.divider {
    width: 2px;
    height: 200px;
    background-color: #fff;
}


.diferencials {
    display: flex;
    gap: 40px;
    align-items: flex-start
}

.diferencial {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
    align-items: center;
}

.diferencial i {
    font-size: 40px;
}

.diferencialText h3,
.diferencialText p {
    margin: 0;
}

.diferencialText h3 {
    font-size: 25px;
}

.diferencialText p {
    width: 300px;
}


.s2Container h2,
.s3Container h2,
.s4Container h2 {
    font-size: 40px;
    font-weight: 700;
}

.subtitle {
    width: 50px;
    border-bottom: 2px solid var(--white);
    margin: 5px 0;
}

.invertedSubtitle {
    width: 50px;
    border-bottom: 2px solid var(--orange-500);
    margin-top: -20px;
}

.s4Context {
    display: flex;
    align-items: center;
    gap: 100px;
}

.s4Context p {
    text-align: start;
}

.s4Context img {
    height: 500px;
}

.carousel-control-prev {
    transition: 0.3s;
    background: rgb(0, 0, 0);
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0) 100%);
}

.carousel-control-next {
    transition: 0.3s;
    background: rgb(0, 0, 0);
    background: linear-gradient(-90deg, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0) 100%);
}

.s4 {
    height: 100%;
    padding: 100px 0;
}

footer {
    width: 100%;
    height: 200px;
    background-color: #fff;
    padding: 0 200px;
    /* border-bottom: 1px solid var(--blue-700); */
}

.footerContent {
    display: flex;
    align-items: center;
    gap: 20px;
    height: 100%;
    justify-content: space-between;
}

.footerContent img {
    width: 150px;
}

.footerMapSite ul {
    list-style: none;
    text-align: center;
}

.footerMapSite ul a {
    text-decoration: none;
    color: var(--blue-700);
    font-weight: 500;
}

.footerContent i {
    color: var(--blue-700);
    font-size: 30px;
    height: 25px;
}


.phone {
    font-size: 20px;
    display: flex;
    align-items: flex-start;
    gap: 10px;
}


.footerDivider {
    width: 2px;
    background-color: var(--blue-700);
    height: 150px;
}


@media (max-width: 1200px) {
    #logo img {
        width: 100px;
    }


    #header {
        padding: 2rem;
        margin: 0;
        /* border-bottom: 1px solid var(--blue-700); */
    }

    #menu {
        display: block;
        position: absolute;
        width: 100%;
        top: 100px;
        right: 0px;
        background: white;
        transition: 0.6s;
        z-index: 1000;
        height: 0px;
        visibility: hidden;
        overflow-y: hidden;
    }

    #nav.active #menu {
        height: calc(100vh - 100px);
        visibility: visible;
        overflow-y: auto;
    }

    #menu a {
        text-align: center;
        padding: 2rem 0;
        margin: 0 2rem;
        border-bottom: 1px solid var(--blue-700);
        font-size: 20px;
    }

    #btn-mobile {
        color: var(--bege);
        display: flex;
        padding: 0.5rem 0rem;
        font-size: 1.5rem;
        border: none;
        background: none;
        cursor: pointer;
        gap: 0.5rem;
    }

    #hamburger {
        border-top: 2px solid;
        width: 20px;
    }

    #hamburger::after,
    #hamburger::before {
        content: '';
        display: block;
        width: 20px;
        height: 2px;
        background: currentColor;
        margin-top: 5px;
        transition: 0.3s;
        position: relative;
    }

    #nav.active #hamburger {
        border-top-color: transparent;
    }

    #nav.active #hamburger::before {
        transform: rotate(135deg);
    }

    #nav.active #hamburger::after {
        transform: rotate(-135deg);
        top: -7px;
    }

    #carouselDesktop {
        display: none;
    }

    #carouselMobile {
        display: block;
    }

    .s2,
    .s3 {
        height: 100%;
        padding: 3rem 2rem;
    }

    .s1Container,
    .s2Container,
    .s3Container,
    .s4Container {
        padding: 2rem;
    }

    .diferencials {
        flex-direction: column;
        align-items: center;
        gap: 50px;
    }

    .divider {
        height: 2px;
        width: 200px;
    }

    .footerDivider {
        height: 2px;
        width: 300px;
    }

    .s4Context img {
        height: 300px;
    }

    .s4Context {
        flex-direction: column;
    }

    footer {
        padding: 2rem 1.5rem;
        height: 100%;
    }

    .footerContent {
        flex-direction: column;
        gap: 50px;
    }
}